%define version 2.12.0
%define oname pygtk
#rpmlint wants %mklibname
Summary:	The sources for the PyGTK2 Python extension modules
Name:		pygtk2.0
Version:	%{version}
Release: %mkrel 2
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%oname/%oname-%{version}.tar.bz2
License:	LGPL
Group:		Development/GNOME and GTK+
BuildRequires:  gtk+2-devel >= 2.9.3
BuildRequires:	libglade2.0-devel 
BuildRequires:  python-devel >= %{pyver} python-numeric-devel
BuildRequires:  python-gobject-devel >= 2.12.1
BuildRequires:  python-cairo >= 1.0.0
%if %mdkversion <= 200600
BuildRequires:	XFree86-Xvfb
%else
BuildRequires:  x11-server-xvfb
%endif
BuildRequires:  gnome-common
#BuildRequires:  gtk-doc
BuildRequires:  libxslt-proc
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://www.daa.com.au/~james/software/pygtk/

Summary:	Python bindings for the GTK+2 widget set
Group:		Development/GNOME and GTK+
Requires: 	python-numeric
Requires:  python-gobject
Requires:  python-cairo
Conflicts:	pygtk < 0.6.11
Provides: %name-wrapper
Provides: pygtk2 = %{version}-%{release}
Obsoletes: %name-wrapper

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

This new release includes GTK2 support.


%package devel
Version: %{version}
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/GNOME and GTK+
Requires: %name = %{version}
Requires: gtk2-devel
Requires: python-devel >= %{pyver}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

This new release includes GTK2 support.

%package libglade
Version:	%{version}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		Development/GNOME and GTK+
Requires: 	%name = %version

%description libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%prep
%setup -q -n pygtk-%{version}

%build
%configure2_5x  --enable-thread
%make

%check
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%if %mdkversion <= 200600
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
%else
%{_bindir}/Xvfb :$XDISPLAY &
%endif
export DISPLAY=:$XDISPLAY
#gw checks fail currently, as Xvfb is broken
make check
kill $(cat /tmp/.X$XDISPLAY-lock) || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%dir %{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/*.py*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/_*.so
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/_*.la
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtkunixprint*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/atk*
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/pango*

%doc AUTHORS NEWS README MAPPING ChangeLog 

%files libglade
%defattr(-,root,root)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/glade.so
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtk/glade.la

%files devel
%defattr(-,root,root)
%doc docs examples
%{_bindir}/pygtk-codegen-2.0
%{_bindir}/pygtk-demo
%{_includedir}/pygtk-2.0/*
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%{_datadir}/pygtk/2.0/codegen
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/defs/pangocairo.override
%{_libdir}/pygtk/2.0/pygtk-demo*
%{_libdir}/pygtk/2.0/demos
%{_libdir}/pkgconfig/pygtk-2.0.pc
%_datadir/gtk-doc/html/pygtk/

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Sun Sep 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdv2008.0
+ Revision: 92372
- Add provides for better compatibility with non Mdv packages

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2008.0
+ Revision: 88450
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.11.0-1mdv2008.0
+ Revision: 72046
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.10.6-1mdv2008.0
+ Revision: 50972
- disable checks
- new version

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 2.10.5-1mdv2008.0
+ Revision: 48126
- new version
- drop patch
- reenable checks

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 2.10.4-2mdv2008.0
+ Revision: 47970
- disable checks
- fix buildrequires
- fix build


* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdv2007.0
+ Revision: 116502
- new version

* Fri Jan 26 2007 Olivier Blin <oblin@mandriva.com> 2.10.3-4mdv2007.1
+ Revision: 113999
- move huge docs and devel examples in devel package

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 2.10.3-3mdv2007.1
+ Revision: 110817
- fix buildrequires, reenabling Numeric Python support

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.10.3-2mdv2007.1
+ Revision: 88121
- rebuild
- Import pygtk2.0

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdv2007.0
- New version 2.10.3

* Wed Sep 06 2006 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdv2007.0
- bump deps
- New release 2.10.1

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.9.6-1mdv2007.0
- reenable parallel build
- bump deps
- New release 2.9.6

* Mon Aug 07 2006 Gtz Waschk <waschk@mandriva.org> 2.9.5-1mdv2007.0
- drop patch
- New release 2.9.5

* Sun Aug 06 2006 Gtz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.0
- update file list
- spec fixes
- bump deps
- add missing sources
- New release 2.9.4

* Thu Jul 13 2006 Gtz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.0
- drop patch
- New release 2.9.3

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 2.9.2-3mdv2007.0
- replace patch 0

* Fri Jun 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.2-2mdv2007.0
- Patch0 (CVS): fix for latest GTK+ 2.9.4 (Mdv bug #23259)

* Sat Jun 17 2006 Gtz Waschk <waschk@mandriva.org> 2.9.2-1mdv2007.0
- bump deps
- update file list
- New release 2.9.2

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 2.8.6-1mdk
- New release 2.8.6

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 2.8.5-1mdk
- New release 2.8.5

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.4-2mdk
- Fix buildrequires

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 2.8.4-1mdk
- fix installation
- New release 2.8.4

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 2.8.3-2mdk
- move modules to the right dir
- depend on python-cairo

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 2.8.3-1mdk
- drop wrapper package
- bump deps
- New release 2.8.3
- use mkrel

* Tue Oct 11 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- New release 2.8.2

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-1mdk
- Release 2.8.1

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdk
- Release 2.8.0

* Thu May 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.2-1mdk 
- Release 2.6.2

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.1-1mdk 
- Release 2.6.1 (based on Gtz Waschk package)

* Tue Mar 29 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-4mdk 
- Patch0: fix module detection

* Mon Dec 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-3mdk
- depend on Xvfb to allow running the tests
- fix deps

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 2.4.1-2mdk
- Rebuild for new python

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- New release 2.4.1

* Mon Aug 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.96-1mdk
- New release 2.3.96

* Tue Aug 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.95-1mdk
- New release 2.3.95

* Fri Jul 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.3.94-1mdk
- New release 2.3.94

* Wed Jul 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.93-1mdk
- rpmlint fix
- reenable libtoolize
- New release 2.3.93

* Sun May 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.92-1mdk
- bot friendly spec
- New release 2.3.92

* Wed May 05 2004 Olivier Blin <blino@mandrake.org> 2.3.91-2mdk
- use real homepage as URL
- use complete URL of Source0
- require gtk2-devel in devel package

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.91-1mdk
- new version

* Tue Apr 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.90-1mdk
- drop the glarea package
- use the configure2_5x macro
- new version

